aboutsummaryrefslogtreecommitdiff
path: root/test/dotnet/install_dotnet_runtime.sh
diff options
context:
space:
mode:
authorJP Ungaretti <git@jungaretti.com>2023-03-01 10:57:41 +0300
committerJP Ungaretti <git@jungaretti.com>2023-03-01 10:57:41 +0300
commitab802885688efb5dd5410421ea2c3d1151d24e8c (patch)
tree85d96c9fd4d944f95e0012d6f4cef93354c88d04 /test/dotnet/install_dotnet_runtime.sh
parenta4746b2feb341357a30429294881dfc8fd6707d0 (diff)
Add runtime test
Diffstat (limited to 'test/dotnet/install_dotnet_runtime.sh')
-rw-r--r--test/dotnet/install_dotnet_runtime.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/dotnet/install_dotnet_runtime.sh b/test/dotnet/install_dotnet_runtime.sh
new file mode 100644
index 0000000..f7f2752
--- /dev/null
+++ b/test/dotnet/install_dotnet_runtime.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# some runtime installed
+check "runtime" bash -c 'test "$(dotnet --list-runtimes | wc -l)" -gt 0'
+
+# no sdk installed
+check "no sdk" bash -c 'test "$(dotnet --list-sdks | wc -l)" -eq 0'
+
+# Report result
+reportResults